Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2726)

Issue 1041163005: Support multiple occurrences of text in context (Closed)

Created:
5 years, 4 months ago by Siggi Cherem (dart-lang)
Modified:
5 years, 4 months ago
Reviewers:
nweiz
CC:
reviews_dartlang.org
Base URL:
git@github.com:dart-lang/source_span.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Patch Set 1 : #

Total comments: 4

Patch Set 2 : #

Total comments: 5

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+96 lines, -10 lines) Patch
M CHANGELOG.md View 1 1 chunk +5 lines, -0 lines 0 comments Download
M lib/src/span_mixin.dart View 1 2 1 chunk +4 lines, -5 lines 0 comments Download
M lib/src/span_with_context.dart View 1 2 2 chunks +3 lines, -4 lines 0 comments Download
M lib/src/utils.dart View 1 2 1 chunk +17 lines, -0 lines 0 comments Download
M pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download
M test/span_test.dart View 1 2 2 chunks +27 lines, -0 lines 0 comments Download
M test/utils_test.dart View 1 2 1 chunk +39 lines, -0 lines 0 comments Download

Messages

Total messages: 11 (5 generated)
Siggi Cherem (dart-lang)
5 years, 4 months ago (2015-03-30 23:34:25 UTC) #4
nweiz
https://codereview.chromium.org/1041163005/diff/40001/CHANGELOG.md File CHANGELOG.md (right): https://codereview.chromium.org/1041163005/diff/40001/CHANGELOG.md#newcode4 CHANGELOG.md:4: `text` within `context. You forgot a "`" after "context". ...
5 years, 4 months ago (2015-03-30 23:45:52 UTC) #5
Siggi Cherem (dart-lang)
Thanks Natalie, PTAL https://codereview.chromium.org/1041163005/diff/40001/CHANGELOG.md File CHANGELOG.md (right): https://codereview.chromium.org/1041163005/diff/40001/CHANGELOG.md#newcode4 CHANGELOG.md:4: `text` within `context. On 2015/03/30 23:45:51, ...
5 years, 4 months ago (2015-03-31 01:07:50 UTC) #8
nweiz
A couple more things, then lgtm https://codereview.chromium.org/1041163005/diff/100001/lib/src/utils.dart File lib/src/utils.dart (right): https://codereview.chromium.org/1041163005/diff/100001/lib/src/utils.dart#newcode42 lib/src/utils.dart:42: /// Returns the ...
5 years, 4 months ago (2015-03-31 19:22:10 UTC) #9
Siggi Cherem (dart-lang)
I also added a test checking for the null result in findLineStart https://codereview.chromium.org/1041163005/diff/100001/lib/src/utils.dart File lib/src/utils.dart ...
5 years, 4 months ago (2015-03-31 19:51:21 UTC) #10
Siggi Cherem (dart-lang)
5 years, 4 months ago (2015-03-31 19:54:46 UTC) #11
Message was sent while issue was closed.
Committed patchset #3 (id:120001) manually as
5c6c13f62fc111adaace3aeb4a38853d64481d06 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698